GET /v1/executions
List executions for the current organization
GET
/v1/executions
List executions for the current organization
Query Parameters
limit
integer
optional
query
Number of items (default 20, max 100)
offset
integer
optional
query
Offset for pagination (default 0)
Responses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
checkoutSessionId
string
clientSafeMetadata
object
createdAt
string
externalRef
string
finishedAt
string
id
string
idempotencyKey
string
initiatedById
string
initiatedByType
string
orderId
string
organizationId
string
paymentStatus
string
requestPayload
object
responsePayload
object
runId
string
sourceEntityId
string
sourceEntityType
string
sourceSystem
string
startedAt
string
status
string
Enum:
awaiting_payment, payment_confirmed, workflow_queued, workflow_running, workflow_waiting, workflow_succeeded, workflow_failed, workflow_cancelledstatusReason
string
updatedAt
string
workflowId
string
limit
integer
offset
integer
message
string
requestId
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/executions' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/executions', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/executions', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/executions", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "checkoutSessionId": "<string>", "clientSafeMetadata": "<object>", "createdAt": "<string>", "externalRef": "<string>", "finishedAt": "<string>", "id": "<string>", "idempotencyKey": "<string>", "initiatedById": "<string>", "initiatedByType": "<string>", "orderId": "<string>", "organizationId": "<string>", "paymentStatus": "<string>", "requestPayload": "<object>", "responsePayload": "<object>", "runId": "<string>", "sourceEntityId": "<string>", "sourceEntityType": "<string>", "sourceSystem": "<string>", "startedAt": "<string>", "status": "awaiting_payment", "statusReason": "<string>", "updatedAt": "<string>", "workflowId": "<string>" } ], "limit": 123, "offset": 123 }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/executions
